# Interface RevertMessageDecoding

This type represents a decoding of the return data as a revert message. For forward-compatibility, we do not assume that the revert message is a string.

#### Category

Output

#### Hierarchy

- RevertMessageDecoding

- Defined in codec/lib/types.ts:508

#####
Index

### Properties

abi
arguments
decodingMode
definedIn?
interpretations
kind
status

## Properties

### abi

abi: ErrorEntry

The ABI entry for the error that was thrown. You can use this to extract the name, for instance. This may be spoofed for built-in types of errors.

- Defined in codec/lib/types.ts:518

### arguments

arguments: AbiArgument[]

The list of decoded arguments passed to revert(); currently, this will always contain just a single string.

- Defined in codec/lib/types.ts:535

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:540

### `Optional` definedIn

definedIn?: ContractType

The class of the contract that (according to this decoding) defined the error type, as a Format.Types.ContractType. This will be `null` if the error was defined outside of the contract or it's one of the builtin `Error(string)` or `Panic(uint)` types. May be omitted if we can't determine it, as may occur in ABI mode.

- Defined in codec/lib/types.ts:526

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:547

### kind

kind: "revert"

The kind of decoding; indicates that this is a RevertMessageDecoding.

- Defined in codec/lib/types.ts:512

### status

status: false

Indicates that this kind of decoding indicates an unsuccessful return.

- Defined in codec/lib/types.ts:530

Generated using TypeDoc